🎉 vox.ai 디스코드 커뮤니티가 새로 열렸어요! 참여하기 →
custom API 도구의 이름, 스키마, 실행 설정, 발화 동작을 수정합니다.
curl --request PATCH \
--url https://client-api.tryvox.co/v3/tools/{tool_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"input_schema": {},
"api_configuration": {
"url": "<string>",
"method": "GET",
"headers": {},
"auth_type": "Basic",
"auth_credentials": "<string>",
"timeout_seconds": 30
},
"speak_during_execution": {
"enabled": false,
"messages": [
"<string>"
]
},
"allow_interruption_during_execution": true
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"input_schema": {},
"api_configuration": {
"url": "<string>",
"method": "GET",
"has_auth_credentials": true,
"timeout_seconds": 30,
"headers": {},
"auth_type": "Basic"
},
"allow_interruption_during_execution": true,
"created_at": 123,
"updated_at": 123,
"description": "<string>",
"speak_during_execution": {
"enabled": false,
"messages": [
"<string>"
]
}
}Documentation Index
Fetch the complete documentation index at: https://docs.tryvox.co/llms.txt
Use this file to discover all available pages before exploring further.
조직 API 키를 Authorization: Bearer <token> 형식으로 보냅니다.
도구 ID.
custom 도구 수정 요청입니다. 유지할 필드는 생략하고, 스키마가 허용하는 필드만 null로 비울 수 있습니다.
도구 부분 업데이트 페이로드입니다.
name, input_schema, api_configuration, speak_during_execution, allow_interruption_during_execution 필드는 생략하면 기존 값을 유지하고, null로 보내면 400을 반환합니다. description은 null로 보내면 값이 null로 설정됩니다.
도구 이름입니다. 생략하면 변경하지 않습니다. null로 보내면 400을 반환합니다.
1 - 64^[a-zA-Z0-9_-]+$도구 설명입니다. 생략하면 변경하지 않습니다. null로 보내면 값이 null로 설정됩니다.
도구 입력 파라미터를 정의하는 JSON Schema 객체입니다. 생략하면 변경하지 않습니다. null로 보내면 400을 반환합니다.
외부 API 호출 설정의 부분 업데이트입니다. 생략하면 변경하지 않습니다. null로 보내면 400을 반환합니다.
Show child attributes
실행 중 TTS 메시지 설정입니다. 생략하면 변경하지 않습니다. null로 보내면 400을 반환합니다.
Show child attributes
실행 중 인터럽트 허용 여부입니다. 생략하면 변경하지 않습니다. null로 보내면 400을 반환합니다.
성공 응답
도구 상세 조회/생성/수정 응답 스키마.
도구의 고유 식별자입니다.
도구 이름.
1 - 64^[a-zA-Z0-9_-]+$도구 입력 파라미터를 정의하는 JSON Schema 객체.
외부 API 호출 설정.
Show child attributes
도구 실행 중 사용자 발화로 인터럽트 허용 여부.
리소스 생성 시각입니다. unix milliseconds 형식입니다.
리소스 마지막 수정 시각입니다. unix milliseconds 형식입니다.
도구 설명입니다. 설정하지 않으면 null입니다.
실행 중 TTS 메시지 설정.
Show child attributes
Was this page helpful?
curl --request PATCH \
--url https://client-api.tryvox.co/v3/tools/{tool_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"input_schema": {},
"api_configuration": {
"url": "<string>",
"method": "GET",
"headers": {},
"auth_type": "Basic",
"auth_credentials": "<string>",
"timeout_seconds": 30
},
"speak_during_execution": {
"enabled": false,
"messages": [
"<string>"
]
},
"allow_interruption_during_execution": true
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"input_schema": {},
"api_configuration": {
"url": "<string>",
"method": "GET",
"has_auth_credentials": true,
"timeout_seconds": 30,
"headers": {},
"auth_type": "Basic"
},
"allow_interruption_during_execution": true,
"created_at": 123,
"updated_at": 123,
"description": "<string>",
"speak_during_execution": {
"enabled": false,
"messages": [
"<string>"
]
}
}